Subject: Re: bug#78945: 30.1; C-x 4 4 and C-x 5 5 do not work with `dired-mouse-find-file'

From: martin rudalics <[email-masked]>
Date: Thu, 3 Jul 2025 12:09:07 +0200

> Thanks, I do see this, and I added the relevant people to this
 > discussion, in the hope that they will explain why we lose the effect
 > of "C-x 4 4" while redirecting mouse-1 to mouse-2.

I cannot contribute much.  Here rebinding mouse-2 is not necessary to
show the faulty behavior and Juri's patch fixes the behavior for mouse-1
and also for mouse-2 if it is rebound.  And the standard behavior here
is to always show a buffer for the file in a new window, that is C-x 4 4
would not be needed anyway.

martin